package com.example.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import com.example.model.Employee;
import com.example.service.EmployeeService;

import lombok.extern.slf4j.Slf4j;

@RestController
@RequestMapping("/api")
@Slf4j
public class EmployeeController {

	@Autowired
	EmployeeService service;
	
	// http://localhost:8181/api/employees
	@GetMapping("/employees")
	@ResponseStatus(HttpStatus.OK)
	public List<Employee> getEmployees() {
		log.info("Fetching all employees");
		return service.getAllEmployees();
	}
	
	// http://localhost:8181/api/employee/1
	@GetMapping("/employee/{id}")
	@ResponseStatus(HttpStatus.OK)
	public Employee getEmployee(@PathVariable(value= "id") final int id) throws Exception {
		log.info("Fetching employee with id = {}", id);
		return service.getEmployee(id);
	}
}
