package com.example.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.example.model.Employee;

@Service
public class EmployeeService {

	private static final List<Employee> employees = new ArrayList<>();
	
	{
		employees.add(new Employee(1, "John"));
		employees.add(new Employee(2, "Jane"));
		employees.add(new Employee(3, "Joseph"));
		employees.add(new Employee(4, "Jack"));
		employees.add(new Employee(5, "Jade"));
	}
	
	public List<Employee> getAllEmployees() {
		return employees;
	}
	
	public Employee getEmployee(final int id) throws Exception {
		return employees
				.stream()
				.filter(e -> e.getId() == id)
				.findFirst()
				.orElseThrow(() -> new Exception("Entity not found"));
	}
}
